function [Wsub,Wtaves,Whydr,Welect,Wequip] = pesi_sottosistemi(Sref,Swfv,Swfh,Qmax,Lb,Wspan,Wgtot)
        
    Whydr=2.64*((Sref+Swfv+Swfh)*Qmax/1000)^0.334*(Lb+Wspan)^0.5;
    Wtaves=66.37*Wgtot^0.361;
    Welect=1.167*Wgtot^0.5*Lb^0.25;
    Wequip=10000+0.01*(Wgtot-0.0000003);

    Wsub=Whydr+Wtaves+Welect+Wequip;
end